/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
package blanco.xml.bind.valueobject;

import java.util.ArrayList;

/**
 * SAXイベントのうち ドキュメントを記憶します。
 */
public class BlancoXmlDocument {
    /**
     * フィールド [childNodes]
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * このドキュメントに連なる子ノードを格納します。ドキュメントは多くの場合ひとつのルートエレメントを格納しています。場合により DTD関連情報なども格納されます。
     */
    private ArrayList fChildNodes = new ArrayList();

    /**
     * フィールド [locator]
     *
     * 項目の型 [blanco.xml.bind.valueobject.BlancoXmlLocator]<br>
     * ロケーション。
     */
    private BlancoXmlLocator fLocator;

    /**
     * フィールド [childNodes]のセッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * このドキュメントに連なる子ノードを格納します。ドキュメントは多くの場合ひとつのルートエレメントを格納しています。場合により DTD関連情報なども格納されます。
     *
     * @param argChildNodes フィールド[childNodes]に格納したい値
     */
    public void setChildNodes(final ArrayList argChildNodes) {
        fChildNodes = argChildNodes;
    }

    /**
     * フィールド[childNodes]のゲッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * このドキュメントに連なる子ノードを格納します。ドキュメントは多くの場合ひとつのルートエレメントを格納しています。場合により DTD関連情報なども格納されます。
     *
     * @return フィールド[childNodes]に格納されている値
     */
    public ArrayList getChildNodes() {
        return fChildNodes;
    }

    /**
     * フィールド [locator]のセッターメソッド
     *
     * 項目の型 [blanco.xml.bind.valueobject.BlancoXmlLocator]<br>
     * ロケーション。
     *
     * @param argLocator フィールド[locator]に格納したい値
     */
    public void setLocator(final BlancoXmlLocator argLocator) {
        fLocator = argLocator;
    }

    /**
     * フィールド[locator]のゲッターメソッド
     *
     * 項目の型 [blanco.xml.bind.valueobject.BlancoXmlLocator]<br>
     * ロケーション。
     *
     * @return フィールド[locator]に格納されている値
     */
    public BlancoXmlLocator getLocator() {
        return fLocator;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlDocument[");
        buf.append("childNodes=" + fChildNodes);
        buf.append(",locator=" + fLocator);
        buf.append("]");
        return buf.toString();
    }
}
